#!/usr/bin/perl

use strict;
use warnings;

use IO::File;

main();

sub usage {
	print <<HELP;
Simple HSPc Log filter

Usage:
$0 [comma separated PIDs] <FILE>

HELP
}##/usage

sub parse_file {
	my ($pid, $fname) = @_;
	my @pids = split ',', $pid;

	my $now = 0;
	$fname ||= '<&STDIN';
	my $in = new IO::File($fname) or
		die "Unable to open file '$fname': $!\n";
	while (my $line = $in->getline) {
		$now = $1 if $line =~ /^(?:\[[^\[\]]+\]\s+){2}\[(\d+)\]/;
		next unless grep {$now == $_} @pids;
		print $line;
	}
}

sub main {
	my $pid = shift @ARGV;
	return usage() unless ( @ARGV );
	parse_file($pid, $_) for @ARGV ? @ARGV : '';
}