package HSPC::Config;

use strict;

use SWsoft::protect;

use Config::General();

use base qw(Exporter);


our (%CONFIG, %LAST);
our @EXPORT = qw(%CONFIG);


use constant PREFIX	=> '/etc/hspc';
use constant CONF	=> 'hspc.conf';


sub renew(;$) {
	my $conf = shift || CONF;

	$LAST{$conf} = (stat CONF)[9];
	## Complete the path to config file if it is relative
	$conf = PREFIX . '/' . $conf if index($conf, '/');

	return Config::General::ParseConfig(
		-ConfigFile => $conf,
		-MergeDuplicateOptions => 1,
	);
}

sub handler {
	require Apache::Constants;

	my $clast = (stat CONF)[9];
	%CONFIG = renew() if $clast > $LAST{CONF()};

	no strict 'subs';
	return Apache::Constants::OK;
}

BEGIN { %CONFIG = renew() }

1;
