## root class of hspc exceptions
package HSPC::Exc;
use strict;
use SWsoft::protect;

use base qw{ Error };

## constructor
sub new {
    my $class = shift;
	my %h     = @_;

	## my $self = $class->SUPER::new();
	## We didn't call super due to Error.pm bug, it's new constructor returns undef
	## with perl 5.8.8
	my $self = {};
	bless( $self, $class );
	
	my $msg = $h{'msg'};
	$self->{'msg'} = $msg;
	$self->{'calls_stack'} = $self->__get_calls_stack();

    return $self;
};

## if somebody try to use $@ as string it returns what this function returns.
sub stringify {
    my $self = shift;
    return ($self->msg || "Died by throw ".ref($self));
};

## calculates calls steck
sub __get_calls_stack {
    my $self = shift;
    my $report = "";
	for ( my $i = 2 ; $i < 1000 ; $i++ ) {
		my ( undef, $filename, $line, $subr, undef, undef ) = caller($i);
		last unless $filename;
		$report .= '   ' . $subr . '(), line ' . $line . "\n";
	}
    return $report;
}

## accessores
sub msg { my $self = shift; return $self->{'msg'}; }
sub calls_stack { my $self = shift; return $self->{'calls_stack'}; }

1;
