## root class of hspc exceptions
package HSPC::Exc::Fatal;
use strict;
use SWsoft::protect;
use HSPC::Trace;
use HSPC::Exc;
use HSPC::Logger qw(sw_die);

use vars qw{@ISA};
@ISA = qw{HSPC::Exc};

## constructor
sub new {
    my $class = shift;
    my $self = $class->SUPER::new(@_);
	
	my $msg = $self->{'msg'};

	my $t = HSPC::Logger->no_trace;
	
	if($ENV{layout}) {
		$ENV{layout}->set_error_app;
	}	

	if($ENV{system_obj}){
		my $br_name = $ENV{system_obj}->generate_bugreport($msg);
		HSPC::Trace->add_comment_to_latest_trace("[sw_die: $br_name => $msg]");
	}else{
		HSPC::Trace->add_comment_to_latest_trace("[sw_die: $msg]");
	}

    return $self;
};

1;
