## root class of hspc exceptions
package HSPC::Exc::Mysql;
use strict;
use SWsoft::protect;
use HSPC::Trace;
use HSPC::Exc;

use vars qw{@ISA};
@ISA = qw{HSPC::Exc};

## constructor
sub new {
    my $class = shift;
	my %h = (
		mysql_errno => 0,
		@_
	);
    my $self = $class->SUPER::new(%h);

	$self->{'mysql_errno'} = $h{mysql_errno};
	
	my $msg = $self->{'msg'};

	if($ENV{system_obj}){
		my $br_name = $ENV{system_obj}->generate_bugreport($msg);
		HSPC::Trace->add_comment_to_latest_trace("[sw_die: $br_name => $msg]");
	}else{
		HSPC::Trace->add_comment_to_latest_trace("[sw_die: $msg]");
	}

    return $self;
};

## accessors.
sub mysql_errno { my $self = shift; return $self->{'mysql_errno'}; }

1;
