## Copyright (C) 2000 - 2006  SWsoft
## All rights reserved.
## Plug-in Exception. Thrown if object did not pass the validation.

package HSPC::Exception::Plugin::InvalidParameter;

use strict;
use SWsoft::protect;

use HSPC::Trace;
use HSPC::String;

use HSPC::Exception::Plugin;

use vars qw{@ISA};
@ISA = qw{HSPC::Exception::Plugin};

sub __init {
	my $self = shift;
	my %h = (
		message   => undef,
		@_
	);

	if ($h{message}) {
		if ( ref($h{message}) eq 'HASH' ) {
			$self->{message} = HSPC::String->new(
				string_id   => $h{message}->{string_id},
				string_args => $h{message}->{string_args}
			) if $h{message}->{string_id};
		} else {
			$self->{message} = $h{message};
		}
	}

	my $message = $self->{message} || 'InvalidParameter exception has been thrown';

	HSPC::Trace->add_comment_to_latest_trace("[IP_exp: $message]");

    return undef;
}

sub message {
	my $self = shift;
	return $self->{message};
}

1;
