package HSPC::MT::Core::Constants;
 
use strict;
use SWsoft::protect; # Mark this module for encryption upon build

#### Constants for method results handling
use constant    SW_RESCODE_OK => 1;
use constant    SW_RESCODE_ERROR => -1;

use constant 	SW_BACKUP_PATH => '/var/opt/hspc-backup';

## Constants for account ids
use constant	SW_HSP_ID    => 1; ## HSP account ID

## Constants for account types
use constant SW_HSP            => 0;
use constant SW_RESELLER       => 2;
use constant SW_CUSTOMER       => 3;
use constant SW_ACC_TYPE_UNDEF => 255;

use constant	SW_VENDOR_TYPES => [&SW_HSP, &SW_RESELLER];

## Constants for account status
use constant SW_ACCOUNT_ACTIVE       => 0;
use constant SW_ACCOUNT_ON_HOLD      => 1;
use constant SW_ACCOUNT_FOR_APPROVAL => 2;
use constant SW_ACCOUNT_DELETED      => 255;


use constant SW_PERSON_ACTIVE=>  0;
use constant SW_PERSON_SUPENDED=>1;

## Reseller config plugins assign types
use constant SW_RESELLER_CONFIG_PLUGINS_ALL	=> 0;
use constant SW_RESELLER_CONFIG_PLUGINS_SELECTED	=> 1;
use constant SW_RESELLER_CONFIG_PLUGINS_EXCLUDED	=> 2;

## Plugin types 
use constant SW_PLUGIN_TYPE_DM	=> 'DM';
use constant SW_PLUGIN_TYPE_AFM	=> 'AFM';
use constant SW_PLUGIN_TYPE_PP	=> 'PP';
use constant SW_PLUGIN_TYPE_LM => 'LM';

use constant SW_PLUGIN_TYPES => [
	&SW_PLUGIN_TYPE_DM, 
	&SW_PLUGIN_TYPE_PP,
	&SW_PLUGIN_TYPE_AFM,
	&SW_PLUGIN_TYPE_LM
];

use constant SW_PLUGIN_TYPE_TITLE => {
	&SW_PLUGIN_TYPE_DM => 'domain',
	&SW_PLUGIN_TYPE_AFM => 'afm_uc',
	&SW_PLUGIN_TYPE_PP => 'payment',
	&SW_PLUGIN_TYPE_LM => 'license'
};

use constant	SW_ACCOUNT_ITEM_TITLE => {
	&SW_HSP => 'provider',
	&SW_RESELLER => 'reseller',
	&SW_CUSTOMER => 'customer'
};

use constant	SW_ACCOUNT_ITEMS_TITLE => {
	&SW_HSP => 'provider',
	&SW_RESELLER => 'resellers',
	&SW_CUSTOMER => 'customers',
};

## Constants for log levels
use constant SW_LOG_LEVEL_DEBUG => "DEBUG";
use constant SW_LOG_LEVEL_INFO 	=> "INFO";
use constant SW_LOG_LEVEL_WARN 	=> "WARN";
use constant SW_LOG_LEVEL_ERROR => "ERROR";
use constant SW_LOG_LEVEL_FATAL => "FATAL";
use constant SW_LOG_MAX_PATTERN_LENGTH => 100;


use constant SW_EXT_ATTR_NO_ACCESS => 1;
use constant SW_EXT_ATTR_RO_ACCESS => 2;
use constant SW_EXT_ATTR_RW_ACCESS => 3;

## object types
use constant SW_OBJTYPE_SB => 'HSPC::SB';
use constant SW_OBJTYPE_SB_NODES => 'HSPC::SB::Nodes';
use constant SW_OBJTYPE_SB_PLANS => 'HSPC::SB::Plans';
use constant SW_OBJTYPE_SB_SITES => 'HSPC::SB::Sites';
use constant SW_OBJTYPE_SB_USERS => 'HSPC::SB::Accounts';
use constant SW_OBJTYPE_SUBSCRIPTION => 'HSPC::Billing::Subscription';

use constant SW_OBJTYPE_OM_DS => 'HSPC::MT::OM::DS';
use constant SW_OBJTYPE_NULL => '';
use constant SW_OBJTYPE_OM_RACK => 'HSPC::MT::OM::Rack';
use constant SW_OBJTYPE_OM_HN => 'HSPC::MT::OM::HN';
use constant SW_OBJTYPE_OM_TRAFFCLASS => 'HSPC::MT::OM::TraffClass';
use constant SW_OBJTYPE_IM_IPPOOL => 'HSPC::MT::IM::IPPool';
use constant SW_OBJTYPE_AD_TMPL => 'HSPC::MT::AD::Template';
use constant SW_OBJTYPE_AD_OSTMPL => 'HSPC::MT::AD::OSTemplate';
use constant SW_OBJTYPE_OM_VE => 'HSPC::MT::OM::VE';
use constant SW_OBJTYPE_CORE_PERSON=> 'HSPC::MT::Core::Person';
use constant SW_OBJTYPE_CORE_AA=> 'HSPC::MT::Core::AbstractAccount';
use constant SW_OBJTYPE_CORE_HSP=> 'HSPC::MT::Core::HSP';
use constant SW_OBJTYPE_AM_CUSTOMER => 'HSPC::MT::Core::Customer';
use constant SW_OBJTYPE_CM_RESELLER => 'HSPC::MT::Core::Reseller';
use constant SW_OBJTYPE_CP_PAPP => 'HSPC::MT::CM::PartnerApplication';
use constant SW_OBJTYPE_DATA_RETENTION => 'HSPC::MT::GM::Stat';
use constant SW_OBJTYPE_DOMAIN => 'HSPC::MT::DM::Domain';
use constant SW_OBJTYPE_BM_CRDT_TERM=>'HSPC::MT::Billing::Ar_terms';
use constant SW_OBJTYPE_BM_STATEMENT => 'HSPC::MT::Billing::Ar_statement';
use constant SW_OBJTYPE_BM_AR_DOC=>'HSPC::MT::Billing::Ar_doc';
use constant SW_OBJTYPE_BM_INVOICE => 'HSPC::MT::Billing::Bill';
use constant SW_OBJTYPE_BM_PAYREQ =>'HSPC::MT::Billing::PayDemand';
use constant SW_OBJTYPE_BM_PAYMENT=> 'HSPC::MT::Billing::Payment';
use constant SW_OBJTYPE_BM_OFF_PAY => 'HSPC::MT::Billing::OffLinePayment';
use constant SW_OBJTYPE_BM_ON_PAY =>'HSPC::MT::Billing::OnLinePayment';
use constant SW_OBJTYPE_BM_CR_INV =>'HSPC::MT::Billing::CreditInvoice';
use constant SW_OBJTYPE_BM_CR_ADJ => 'HSPC::MT::Billing::CreditAdjustment';
use constant SW_OBJTYPE_BM_DBT_ADJ => 'HSPC::MT::Billing::DebitAdjustment';
use constant SW_OBJTYPE_BM_ORDER => 'HSPC::MT::Billing::Order';##Abstract
use constant SW_OBJTYPE_BM_ORDER_VE => 'HSPC::MT::Billing::Order_ve';
use constant SW_OBJTYPE_BM_ORDER_DOMAIN=>'HSPC::MT::Billing::Order_dm';
use constant SW_OBJTYPE_BM_ORDER_MISC=>'HSPC::MT::Billing::Order_misc';
use constant SW_OBJTYPE_BM_ORDER_ONETIME=>'HSPC::MT::Billing::Order_onetime';
use constant SW_OBJTYPE_BM_ORDER_HW_VZ=>'HSPC::MT::Billing::Order_hw_vz';
use constant SW_OBJTYPE_BM_ORDER_HW_GENERIC=>'HSPC::MT::Billing::Order_hw_generic';
use constant SW_OBJTYPE_BM_ORDER_PLESK_SH=>'HSPC::MT::BM::Order::PleskDomain';
use constant SW_OBJTYPE_BM_ORDER_PLESK_CL=>'HSPC::MT::BM::Order::PleskCleint';
use constant SW_OBJTYPE_BM_ORDER_PLESK_HW=>'HSPC::MT::BM::Order::PleskServer';
use constant SW_OBJTYPE_BM_ACC_RU_SCH => 'HSPC::MT::ACC::Plugin::Ru::Schet'; ## XXX
use constant SW_OBJTYPE_BM_ACC_RU_FACT => 'HSPC::MT::ACC::Plugin::Ru::Facture'; ## XXX
use constant SW_OBJTYPE_BM_SUBSCR => 'HSPC::MT::Billing::Subscription_base';##Abstract
use constant SW_OBJTYPE_BM_SUBSCR_VE=>'HSPC::MT::Billing::Subscription_ve';
use constant SW_OBJTYPE_BM_SUBSCR_DOMAIN=>'HSPC::MT::Billing::Subscription_domain';
use constant SW_OBJTYPE_BM_SUBSCR_HW_VZ=>'HSPC::MT::Billing::Subscription_hw_vz';
use constant SW_OBJTYPE_BM_SUBSCR_HW_GENERIC=>'HSPC::MT::Billing::Subscription_hw_generic';
use constant SW_OBJTYPE_BM_SUBSCR_HW_PLESK=>'HSPC::MT::BM::Subscription::PleskServerSubscription';
use constant SW_OBJTYPE_BM_SUBSCR_PLESK_SHARED=>'HSPC::MT::BM::Subscription::PleskDomainSubscription';
use constant SW_OBJTYPE_BM_SUBSCR_PLESK_CLIENT=>'HSPC::MT::BM::Subscription::PleskClientSubscription';
use constant SW_OBJTYPE_BM_SUBSCR_VE_PLESK=>'HSPC::MT::Billing::Subscr_ve_pleskserver';
use constant SW_OBJTYPE_BM_SUBSCR_MISC=>'HSPC::MT::Billing::Subscription_misc';
use constant SW_OBJTYPE_MASSMAIL => 'HSPC::MT::UM::MassMail';
use constant SW_OBJTYPE_TS_EVENT => 'HSPC::MT::UM::TS::TicketEvent';
use constant SW_OBJTYPE_TS_TICKET=> 'HSPC::MT::UM::TS::Ticket';
use constant SW_OBJTYPE_EM_STORE => 'HSPC::MT::EM::Store';
use constant SW_OBJTYPE_DM_NS => 'HSPC::MT::DM::NS::AbstractNS';
use constant SW_OBJTYPE_LM_HN => 'HSPC::MT::LM::HN';
use constant SW_OBJTYPE_LM_MN => 'HSPC::MT::LM::MN';
use constant SW_OBJTYPE_LM_PLESK => 'HSPC::MT::LM::Plesk';
use constant SW_OBJTYPE_MM_CAMPAIGN => 'HSPC::MT::MM::Campaign';
use constant SW_OBJTYPE_BM_HP => 'HSPC::MT::BM::HP';
use constant SW_OBJTYPE_BM_HP_HW_DS => "HSPC::MT::BM::HP::DSGen";
use constant SW_OBJTYPE_BM_HP_HW_VZ => "HSPC::MT::BM::HP::HNVZ";
use constant SW_OBJTYPE_BM_HP_DM => "HSPC::MT::BM::HP::DMGen";
use constant SW_OBJTYPE_BM_HP_MISC => "HSPC::MT::BM::HP::MiscGen";
use constant SW_OBJTYPE_BM_HP_HW_PLESK => "HSPC::MT::BM::HP::PleskServer";
use constant SW_OBJTYPE_BM_HP_PLESK_SHARED => "HSPC::MT::BM::HP::PleskDomain";
use constant SW_OBJTYPE_BM_HP_PLESK_CLIENT => "HSPC::MT::BM::HP::PleskClient";
use constant SW_OBJTYPE_BM_HP_VE => "HSPC::MT::BM::HP::VEGen";
use constant SW_OBJTYPE_BM_HP_VE_PLESK => "HSPC::MT::BM::HP::VEPleskHN";
use constant SW_OBJTYPE_PP_TRANSLOG => 'HSPC::MT::PP::TransLog';
use constant SW_OBJTYPE_CCP_TRANSLOG => 'HSPC::MT::CCP::TransLog';
use constant SW_OBJTYPE_BT_TRANSLOG => 'HSPC::MT::PP::BT::TransLog';
use constant SW_OBJTYPE_LM_PLUGIN => 'HSPC::LM::Plugin::Config';
use constant SW_OBJTYPE_LM_LICENSE => 'HSPC::MT::Plugin::LM::KA::License';
use constant SW_OBJTYPE_BILLING_MANAGER=>'HSPC::MT::Billing';
use constant SW_OBJTYPE_EVENT_MANAGER=>'HSPC::MT::EV';
use constant SW_OBJTYPE_BM_ATTRIBUTE=>'HSPC::MT::BM::Attr';
use constant SW_OBJTYPE_PM => 'HSPC::MT::PM::PluginEngine';
use constant SW_OBJTYPE_PM_ONLINE_ACC=>'HSPC::MT::PM::PluginEngine::OnlineAccount';
use constant SW_OBJTYPE_PM_BANK_ACC=>'HSPC::MT::PM::PluginEngine::BankAccount';
use constant SW_OBJTYPE_LM =>'HSPC::MT::LM::PluginEngine';

 
use constant SW_OBJTYPE_ABSTRACT_ACC => {
	2 => &SW_OBJTYPE_CM_RESELLER,
	3 => &SW_OBJTYPE_AM_CUSTOMER,
};##/SW_OBJTYPE_ABSTRACT_ACC


use constant SW_OBJTYPE_FULLLIST => [
	&SW_OBJTYPE_SB,&SW_OBJTYPE_SB_NODES,&SW_OBJTYPE_SB_PLANS,&SW_OBJTYPE_SB_SITES,&SW_OBJTYPE_SB_USERS,
	&SW_OBJTYPE_CORE_PERSON,&SW_OBJTYPE_NULL,&SW_OBJTYPE_CORE_AA,
	&SW_OBJTYPE_BM_STATEMENT,&SW_OBJTYPE_CP_PAPP,&SW_OBJTYPE_EM_STORE,
	&SW_OBJTYPE_OM_RACK,&SW_OBJTYPE_OM_HN, &SW_OBJTYPE_OM_DS, &SW_OBJTYPE_IM_IPPOOL,
	&SW_OBJTYPE_AD_TMPL,&SW_OBJTYPE_AD_OSTMPL,&SW_OBJTYPE_OM_VE,
	&SW_OBJTYPE_AM_CUSTOMER,&SW_OBJTYPE_CM_RESELLER,
	&SW_OBJTYPE_DATA_RETENTION,&SW_OBJTYPE_BM_INVOICE, &SW_OBJTYPE_BM_PAYREQ,
	&SW_OBJTYPE_BM_OFF_PAY,&SW_OBJTYPE_BM_ON_PAY,&SW_OBJTYPE_BM_CR_ADJ,
	&SW_OBJTYPE_BM_DBT_ADJ,&SW_OBJTYPE_BM_ORDER,&SW_OBJTYPE_BM_SUBSCR,
	&SW_OBJTYPE_DOMAIN,&SW_OBJTYPE_BM_PAYMENT,&SW_OBJTYPE_BM_SUBSCR_VE,
	&SW_OBJTYPE_MASSMAIL,
	&SW_OBJTYPE_BM_ORDER_VE,&SW_OBJTYPE_TS_TICKET,&SW_OBJTYPE_BM_AR_DOC,
	&SW_OBJTYPE_TS_EVENT,&SW_OBJTYPE_BM_CR_INV,
	&SW_OBJTYPE_BM_ORDER_DOMAIN,&SW_OBJTYPE_BM_SUBSCR_DOMAIN,
	&SW_OBJTYPE_BM_ORDER_MISC,&SW_OBJTYPE_BM_ORDER_ONETIME,
	&SW_OBJTYPE_BM_SUBSCR_MISC,&SW_OBJTYPE_BM_SUBSCR_HW_VZ,
	&SW_OBJTYPE_BM_SUBSCR_HW_PLESK,
	&SW_OBJTYPE_BM_SUBSCR_PLESK_SHARED,&SW_OBJTYPE_BM_ORDER_PLESK_SH,
	&SW_OBJTYPE_BM_ORDER_PLESK_HW,&SW_OBJTYPE_BM_CRDT_TERM,&SW_OBJTYPE_DM_NS,
	&SW_OBJTYPE_LM_HN,&SW_OBJTYPE_LM_MN,&SW_OBJTYPE_LM_PLESK,
	&SW_OBJTYPE_BM_ORDER_HW_VZ,
	&SW_OBJTYPE_BM_ORDER_HW_GENERIC,&SW_OBJTYPE_MM_CAMPAIGN,
	&SW_OBJTYPE_BM_HP, &SW_OBJTYPE_BM_HP_HW_DS, &SW_OBJTYPE_BM_HP_HW_VZ,
	&SW_OBJTYPE_BM_HP_DM, &SW_OBJTYPE_BM_HP_MISC, &SW_OBJTYPE_BM_HP_HW_PLESK,
	&SW_OBJTYPE_BM_HP_PLESK_SHARED, &SW_OBJTYPE_BM_HP_PLESK_CLIENT,
	&SW_OBJTYPE_BM_HP_VE, &SW_OBJTYPE_BM_HP_VE_PLESK,
	&SW_OBJTYPE_CCP_TRANSLOG, &SW_OBJTYPE_BM_ORDER_PLESK_CL,
	&SW_OBJTYPE_PP_TRANSLOG, &SW_OBJTYPE_BT_TRANSLOG.
	&SW_OBJTYPE_BM_SUBSCR_HW_GENERIC, &SW_OBJTYPE_OM_TRAFFCLASS,
	&SW_OBJTYPE_SUBSCRIPTION, &SW_OBJTYPE_LM_PLUGIN, &SW_OBJTYPE_LM_LICENSE,
	&SW_OBJTYPE_BILLING_MANAGER, &SW_OBJTYPE_EVENT_MANAGER,
	&SW_OBJTYPE_BM_ATTRIBUTE,&SW_OBJTYPE_PM_ONLINE_ACC,
	&SW_OBJTYPE_PM_BANK_ACC &SW_OBJTYPE_PM &SW_OBJTYPE_LM
];
 
use constant SW_CORE_ADDR_STATUS_NOTCHECKED	=> 0;
use constant SW_CORE_ADDR_STATUS_REJECTED	=> 1;
use constant SW_CORE_ADDR_STATUS_ACCEPTED	=> 2; 


use constant SW_CORE_ADDR_STATUS_type => [
	[&SW_CORE_ADDR_STATUS_NOTCHECKED,	'not_checked'],
	[&SW_CORE_ADDR_STATUS_REJECTED,		'rejected'],
	[&SW_CORE_ADDR_STATUS_ACCEPTED,		'approved'],
]; 

# HSPC log folder
use constant HSPC_LOG_DIR => "/var/log/hspc/";
## HSPC folder for profiler logs
use constant HSPC_PROF_DIR => "/var/log/hspc/profiler/";

# HSPC log message types
use constant HSPC_LOG_TYPE => {
	custom 	=> 0,
	tracer 	=> 1,
	mysql	=> 2,
};


use constant SW_ACC_TOOL_ID=>{
	&SW_HSP       =>'pcc',
	&SW_RESELLER  =>'rcc',
	&SW_CUSTOMER  =>'cp'
};##/SW_ACC_TOOL_ID


use constant SW_ACC_TOOL_STR_ID=>{
	pcc  =>'provider_cc_uc',
	rcc  =>'reseller_cc_uc',
	cp   =>'cp_uc',
	mycp =>'my_cp_uc',
	site =>'ps_uc',
	store=>'store_uc',
};##/SW_ACC_TOOL_STR_ID


## comment types 1 - 400
use constant SW_COMMENT_COMMON=>1;## default comment type
## ar_doc 101 - 150
## ar_doc commomn
use constant SW_COMMENT_AR_DOC_CREATE       =>101;## invoice created
use constant SW_COMMENT_AR_DOC_PAID         =>102;## invoice paid
use constant SW_COMMENT_AR_DOC_CANCEL       =>103;## cancel order
use constant SW_COMMENT_AR_DOC_APPROVESUBSCR=>104;## approve subscription creation
use constant SW_COMMENT_AR_DOC_APPROVETRANS =>105;## approve process transaction and subscr. creation
use constant SW_COMMENT_AR_DOC_REFUND       =>106; ## refund for appropriate transaction
use constant SW_COMMENT_AR_DOC_CHANGE       =>107; ## order changed
use constant SW_COMMENT_AR_DOC_CANCELREFUND =>108; ## order cancelled and refund has been done
use constant SW_COMMENT_AR_DOC_DISABLE      =>109;## disable order processing
use constant SW_COMMENT_AR_DOC_AUTHCALL     =>110;## authcall entered
use constant SW_COMMENT_AR_DOC_CANCELTR     =>111;## authcall entered
use constant SW_COMMENT_AR_DOC_ON_HOLD      =>112;## put on hold
## ar_doc  - payments 121 - 130
use constant SW_COMMENT_PAY_ACCEPTED=>121;## payment accepted
use constant SW_COMMENT_PAY_REJECTED=>122;## payment rejected
use constant SW_COMMENT_PAY_ADJUST  =>123;## payment adjusted
## ar_doc  - adjustment 131 - 140
use constant SW_COMMENT_ADJ_APPLY  =>131;## adjustment applied
## ar_doc - credit invoice 141 - 150
use constant SW_COMMENT_CRINV_ADJUST =>141;
## abstract account 151 - 200
use constant SW_COMMENT_ACC_CREATE =>151;## create account
use constant SW_COMMENT_ACC_ON_HOLD=>152;## put account on hold
use constant SW_COMMENT_ACC_ACTIVE =>153;## set account active from on hold
use constant SW_COMMENT_ACC_DELETE =>154;## set account deleted
## Rack 401 - 500
## HW Node 601 -700
## IPPoll 801 - 900
## APP Template 1301 -1400
## OS Template 1401 -1500
## VE 2001 - 2100
use constant SW_COMMENT_VE_CREATE =>1401;## create VE
use constant SW_COMMENT_VE_START  =>1402;## start VE
use constant SW_COMMENT_VE_REPAIR =>1403;## repair VE
use constant SW_COMMENT_VE_STOP   =>1404;## stop VE
use constant SW_COMMENT_VE_DESTROY=>1405;## destroy VE
## Customer 3001 - 3100
## Reseller 3101 - 3200
use constant SW_COMMENT_CM_APPROVE=>3101;## approve partner application
## EC 3201 - 3300
## GM:Stat 3601 - 3700
## Invoice 4001 - 4100
## Payment offline 4101 - 4200
## Payment online 4201 - 4300
## Credit Adjustment 4301 - 4400
## Debit Adjustment 4401 - 4500
## Order 4501 - 4600
## Subscr 5001 - 5100
use constant SW_COMMENT_SUBSCR_CREATE   =>5001;## subscribtion created
use constant SW_COMMENT_SUBSCR_PND_ACT  =>5002;## subcription pennding->active
use constant SW_COMMENT_SUBSCR_ON_NOLD  =>5003;## subscription put on hold
use constant SW_COMMENT_SUBSCR_HLD_ACT  =>5004;## subscription on_hold->active
use constant SW_COMMENT_SUBSCR_TERMINATE=>5005;## subscription terminated
## /comment types

## System constants
use constant SW_SYSTEM_BYTE => 1;
use constant SW_SYSTEM_KB   => 1024;
use constant SW_SYSTEM_MB   => 1048576;
use constant SW_SYSTEM_GB   => 1073741824;

use vars qw(@ISA @EXPORT @EXPORT_OK %EXPORT_TAGS);
@ISA = qw(Exporter);

@EXPORT = qw(
	SW_RESCODE_OK SW_RESCODE_ERROR
	SW_HSP_ID
	SW_HSP SW_RESELLER SW_CUSTOMER SW_ACC_TYPE_UNDEF
	SW_VENDOR_TYPES
	SW_ACCOUNT_ACTIVE SW_ACCOUNT_ON_HOLD SW_ACCOUNT_FOR_APPROVAL
	SW_ACCOUNT_DELETED
	SW_PERSON_ACTIVE SW_PERSON_SUPENDED
	SW_ACC_TOOL_ID SW_ACC_TOOL_STR_ID
	SW_BACKUP_PATH
	SW_SYSTEM_BYTE SW_SYSTEM_KB SW_SYSTEM_MB SW_SYSTEM_GB
	HSPC_LOG_TYPE
	SW_LOG_LEVEL_FATAL
	SW_LOG_LEVEL_ERROR
	SW_LOG_LEVEL_WARN
	SW_LOG_LEVEL_INFO
	SW_LOG_LEVEL_DEBUG
	SW_LOG_MAX_PATTERN_LENGTH

	SW_RESELLER_CONFIG_PLUGINS_ALL
	SW_RESELLER_CONFIG_PLUGINS_SELECTED
	SW_RESELLER_CONFIG_PLUGINS_EXCLUDED
	
	SW_PLUGIN_TYPE_DM
	SW_PLUGIN_TYPE_AFM
	SW_PLUGIN_TYPE_PP
	SW_PLUGIN_TYPE_LM
	
	SW_PLUGIN_TYPES
	SW_PLUGIN_TYPE_TITLE
);

@EXPORT_OK = qw(
	SW_OBJTYPE_SB SW_OBJTYPE_SB_NODES SW_OBJTYPE_SB_PLANS SW_OBJTYPE_SB_SITES SW_OBJTYPE_SB_USERS
	SW_OBJTYPE_CORE_PERSON SW_OBJTYPE_NULL SW_OBJTYPE_CORE_AA SW_OBJTYPE_CORE_HSP
	SW_OBJTYPE_BM_STATEMENT SW_OBJTYPE_ABSTRACT_ACC SW_OBJTYPE_CP_PAPP
	SW_OBJTYPE_OM_RACK SW_OBJTYPE_OM_HN SW_OBJTYPE_OM_DS SW_OBJTYPE_IM_IPPOOL
	SW_OBJTYPE_AD_TMPL SW_OBJTYPE_AD_OSTMPL SW_OBJTYPE_OM_VE
	SW_OBJTYPE_BM_ACC_RU_SCH SW_OBJTYPE_BM_ACC_RU_FACT SW_OBJTYPE_EM_STORE
	SW_OBJTYPE_AM_CUSTOMER SW_OBJTYPE_CM_RESELLER SW_OBJTYPE_BM_AR_DOC
	SW_OBJTYPE_DATA_RETENTION SW_OBJTYPE_BM_INVOICE SW_OBJTYPE_BM_PAYREQ
	SW_OBJTYPE_BM_OFF_PAY SW_OBJTYPE_BM_ON_PAY SW_OBJTYPE_BM_CR_ADJ
	SW_OBJTYPE_BM_DBT_ADJ SW_OBJTYPE_BM_ORDER SW_OBJTYPE_BM_SUBSCR
	SW_OBJTYPE_DOMAIN SW_OBJTYPE_BM_SUBSCR_VE
	SW_OBJTYPE_MASSMAIL
	SW_OBJTYPE_BM_SUBSCR_MISC SW_OBJTYPE_TS_TICKET
	SW_OBJTYPE_TS_EVENT SW_OBJTYPE_BM_PAYMENT SW_OBJTYPE_BM_ORDER_DOMAIN
	SW_OBJTYPE_BM_ORDER_MISC SW_OBJTYPE_BM_ORDER_ONETIME
	SW_OBJTYPE_BM_ORDER_VE SW_OBJTYPE_BM_SUBSCR_DOMAIN
	SW_OBJTYPE_BM_SUBSCR_HW_VZ SW_OBJTYPE_BM_CR_INV
	SW_OBJTYPE_BM_SUBSCR_HW_PLESK SW_OBJTYPE_BM_SUBSCR_PLESK_SHARED
	SW_OBJTYPE_BM_ORDER_PLESK_SH SW_OBJTYPE_BM_ORDER_PLESK_HW
	SW_OBJTYPE_BM_CRDT_TERM SW_OBJTYPE_DM_NS SW_OBJTYPE_LM_HN
	SW_OBJTYPE_LM_MN SW_OBJTYPE_LM_PLESK
	SW_OBJTYPE_BM_ORDER_HW_VZ SW_OBJTYPE_BM_ORDER_HW_GENERIC
	SW_OBJTYPE_BM_HP SW_OBJTYPE_BM_HP_HW_DS 
	SW_OBJTYPE_BM_HP_HW_VZ SW_OBJTYPE_BM_HP_DM
	SW_OBJTYPE_BM_HP_MISC SW_OBJTYPE_BM_HP_HW_PLESK
	SW_OBJTYPE_BM_HP_PLESK_SHARED SW_OBJTYPE_BM_HP_PLESK_CLIENT
	SW_OBJTYPE_BM_HP_VE SW_OBJTYPE_BM_HP_VE_PLESK
	SW_OBJTYPE_BM_ORDER_PLESK_CL SW_OBJTYPE_MM_CAMPAIGN SW_OBJTYPE_CCP_TRANSLOG
	SW_OBJTYPE_BM_SUBSCR_HW_GENERIC SW_OBJTYPE_OM_TRAFFCLASS SW_OBJTYPE_LM_PLUGIN 
	SW_OBJTYPE_LM_LICENSE SW_OBJTYPE_PP_TRANSLOG SW_OBJTYPE_BT_TRANSLOG
	SW_OBJTYPE_BILLING_MANAGER SW_OBJTYPE_EVENT_MANAGER
	SW_OBJTYPE_BM_ATTRIBUTE SW_OBJTYPE_PM_ONLINE_ACC
	SW_OBJTYPE_PM_BANK_ACC SW_OBJTYPE_PM SW_OBJTYPE_LM
	
	SW_ACCOUNT_ITEM_TITLE SW_ACCOUNT_ITEMS_TITLE
	SW_COMMENT_COMMON SW_COMMENT_VE_CREATE SW_COMMENT_VE_START
	SW_COMMENT_VE_REPAIR SW_COMMENT_VE_STOP SW_COMMENT_VE_DESTROY
	SW_COMMENT_ACC_CREATE SW_COMMENT_ACC_ON_HOLD SW_COMMENT_ACC_ACTIVE
	SW_COMMENT_ACC_DELETE SW_COMMENT_CM_APPROVE
	SW_COMMENT_AR_DOC_CREATE SW_COMMENT_AR_DOC_PAID
	SW_COMMENT_AR_DOC_CANCEL SW_COMMENT_AR_DOC_APPROVESUBSCR
	SW_COMMENT_AR_DOC_APPROVETRANS SW_COMMENT_AR_DOC_REFUND
	SW_COMMENT_AR_DOC_CHANGE SW_COMMENT_AR_DOC_CANCELREFUND
	SW_COMMENT_AR_DOC_DISABLE SW_COMMENT_AR_DOC_AUTHCALL
	SW_COMMENT_AR_DOC_CANCELTR SW_COMMENT_AR_DOC_ON_HOLD
	SW_COMMENT_PAY_ACCEPTED SW_COMMENT_PAY_REJECTED
	SW_COMMENT_PAY_ADJUST SW_COMMENT_ADJ_APPLY SW_COMMENT_SUBSCR_CREATE
	SW_COMMENT_CRINV_ADJUST
	SW_COMMENT_SUBSCR_PND_ACT SW_COMMENT_SUBSCR_ON_NOLD
	SW_COMMENT_SUBSCR_HLD_ACT SW_COMMENT_SUBSCR_TERMINATE

	SW_CORE_ADDR_STATUS_NOTCHECKED
	SW_CORE_ADDR_STATUS_REJECTED
	SW_CORE_ADDR_STATUS_ACCEPTED
	SW_CORE_ADDR_STATUS_type

	SW_EXT_ATTR_NO_ACCESS SW_EXT_ATTR_RO_ACCESS SW_EXT_ATTR_RW_ACCESS
		
	HSPC_LOG_DIR
	HSPC_PROF_DIR
	
	SW_OBJTYPE_SUBSCRIPTION
);

%EXPORT_TAGS = (
	obj_types=>[qw(
		SW_OBJTYPE_SB SW_OBJTYPE_SB_NODES SW_OBJTYPE_SB_PLANS SW_OBJTYPE_SB_SITES SW_OBJTYPE_SB_USERS
		SW_OBJTYPE_CORE_PERSON SW_OBJTYPE_NULL SW_OBJTYPE_ABSTRACT_ACC
		SW_OBJTYPE_CORE_AA SW_OBJTYPE_BM_STATEMENT SW_OBJTYPE_CP_PAPP
		SW_OBJTYPE_OM_RACK SW_OBJTYPE_OM_HN SW_OBJTYPE_OM_DS SW_OBJTYPE_IM_IPPOOL
		SW_OBJTYPE_AD_TMPL SW_OBJTYPE_AD_OSTMPL SW_OBJTYPE_OM_VE
		SW_OBJTYPE_AM_CUSTOMER SW_OBJTYPE_CM_RESELLER SW_OBJTYPE_CORE_HSP
		SW_OBJTYPE_DATA_RETENTION SW_OBJTYPE_BM_INVOICE SW_OBJTYPE_BM_PAYREQ
		SW_OBJTYPE_BM_OFF_PAY SW_OBJTYPE_BM_ON_PAY SW_OBJTYPE_BM_CR_ADJ
		SW_OBJTYPE_BM_DBT_ADJ SW_OBJTYPE_BM_ORDER SW_OBJTYPE_BM_SUBSCR
		SW_OBJTYPE_DOMAIN SW_OBJTYPE_BM_PAYMENT SW_OBJTYPE_BM_SUBSCR_VE
		SW_OBJTYPE_MASSMAIL
		SW_OBJTYPE_TS_TICKET SW_OBJTYPE_BM_CR_INV SW_OBJTYPE_BM_AR_DOC
		SW_OBJTYPE_TS_EVENT SW_OBJTYPE_BM_ORDER_DOMAIN
		SW_OBJTYPE_BM_ORDER_MISC SW_OBJTYPE_BM_ORDER_ONETIME
		SW_OBJTYPE_BM_ACC_RU_SCH SW_OBJTYPE_BM_ACC_RU_FACT SW_OBJTYPE_EM_STORE
		SW_OBJTYPE_BM_ORDER_VE SW_OBJTYPE_BM_SUBSCR_DOMAIN SW_OBJTYPE_BM_SUBSCR_MISC
		SW_OBJTYPE_BM_SUBSCR_HW_VZ
		SW_OBJTYPE_BM_SUBSCR_HW_PLESK SW_OBJTYPE_BM_SUBSCR_PLESK_SHARED
		SW_OBJTYPE_BM_ORDER_PLESK_SH SW_OBJTYPE_BM_ORDER_PLESK_HW
		SW_OBJTYPE_BM_CRDT_TERM SW_OBJTYPE_DM_NS SW_OBJTYPE_LM_HN
		SW_OBJTYPE_LM_MN SW_OBJTYPE_LM_PLESK
		SW_OBJTYPE_BM_ORDER_HW_VZ SW_OBJTYPE_BM_ORDER_HW_GENERIC
		SW_OBJTYPE_MM_CAMPAIGN SW_OBJTYPE_BM_ORDER_PLESK_SH
		SW_OBJTYPE_BM_HP SW_OBJTYPE_BM_HP_HW_DS 
		SW_OBJTYPE_BM_HP_HW_VZ SW_OBJTYPE_BM_HP_DM
		SW_OBJTYPE_BM_HP_MISC SW_OBJTYPE_BM_HP_HW_PLESK
		SW_OBJTYPE_BM_HP_PLESK_SHARED SW_OBJTYPE_BM_HP_PLESK_CLIENT
		SW_OBJTYPE_BM_HP_VE SW_OBJTYPE_BM_HP_VE_PLESK
		SW_OBJTYPE_CCP_TRANSLOG SW_OBJTYPE_BM_SUBSCR_HW_GENERIC
		SW_OBJTYPE_OM_TRAFFCLASS SW_OBJTYPE_PP_TRANSLOG SW_OBJTYPE_BT_TRANSLOG
		SW_OBJTYPE_SUBSCRIPTION SW_OBJTYPE_LM_PLUGIN SW_OBJTYPE_LM_LICENSE
		SW_OBJTYPE_BILLING_MANAGER SW_OBJTYPE_EVENT_MANAGER
		SW_OBJTYPE_BM_ATTRIBUTE SW_OBJTYPE_PM_ONLINE_ACC
		SW_OBJTYPE_PM_BANK_ACC SW_OBJTYPE_PM SW_OBJTYPE_LM
	)],
	comment_types=>[qw(
		SW_COMMENT_COMMON SW_COMMENT_VE_CREATE SW_COMMENT_VE_START
		SW_COMMENT_VE_REPAIR SW_COMMENT_VE_STOP SW_COMMENT_VE_DESTROY
		SW_COMMENT_ACC_CREATE SW_COMMENT_ACC_ON_HOLD SW_COMMENT_ACC_ACTIVE
		SW_COMMENT_ACC_DELETE SW_COMMENT_CM_APPROVE
		SW_COMMENT_AR_DOC_CREATE SW_COMMENT_AR_DOC_PAID
		SW_COMMENT_AR_DOC_CANCEL SW_COMMENT_AR_DOC_APPROVESUBSCR
		SW_COMMENT_AR_DOC_APPROVETRANS SW_COMMENT_AR_DOC_REFUND
		SW_COMMENT_AR_DOC_CHANGE SW_COMMENT_AR_DOC_CANCELREFUND
		SW_COMMENT_AR_DOC_DISABLE SW_COMMENT_AR_DOC_AUTHCALL
		SW_COMMENT_AR_DOC_CANCELTR SW_COMMENT_AR_DOC_ON_HOLD
		SW_COMMENT_PAY_ACCEPTED SW_COMMENT_PAY_REJECTED
		SW_COMMENT_PAY_ADJUST SW_COMMENT_ADJ_APPLY SW_COMMENT_SUBSCR_CREATE
		SW_COMMENT_CRINV_ADJUST
		SW_COMMENT_SUBSCR_PND_ACT SW_COMMENT_SUBSCR_ON_NOLD
		SW_COMMENT_SUBSCR_HLD_ACT SW_COMMENT_SUBSCR_TERMINATE
	)],
	addr_status => [qw(
		SW_CORE_ADDR_STATUS_NOTCHECKED
		SW_CORE_ADDR_STATUS_REJECTED
		SW_CORE_ADDR_STATUS_ACCEPTED
		SW_CORE_ADDR_STATUS_type
	)],
	ext_attrs=>[qw(
		SW_EXT_ATTR_NO_ACCESS SW_EXT_ATTR_RO_ACCESS SW_EXT_ATTR_RW_ACCESS
	)],
	log_dirs=>[qw(
		HSPC_LOG_DIR
		HSPC_PROF_DIR
	)],
);


1;
