package HSPC::MT::GM::Constants;
 
use strict;
use SWsoft::protect; # Mark this module for encryption upon build

## Constants for account ids
use constant	SW_GM_DEF_TIMEZONE  => '/usr/share/zoneinfo/Europe/London'; 
use constant	SW_GM_DEF_LANG => 'en'; 
use constant	SW_GM_DEF_FIRST_DAY_WEEK => '0'; ## 0 - Sunday, 1 - Mondey , etc. 

## currency sign alignment
use constant    SW_GM_CURRENCY_ALIGN_LEFT => 1;
use constant    SW_GM_CURRENCY_ALIGN_RIGHT => 2;

## max power of minor currency units (i.e. 100.000)
use constant    SW_GM_CURRENCY_MINOR_MAX => 3;

## credit card process types
use constant 	SW_GM_CCARD_PRTYPE_AUTO =>1;	## immediately (process payment & start service)
use constant 	SW_GM_CCARD_PRTYPE_MANUAL =>2; ## create service after approve & payment
use constant 	SW_GM_CCARD_PRTYPE_PENDING =>3;## immediately process payment; create service after approval

use constant SW_GM_CCARD_PRTYPE_TXT => {1=>'auto_pmnt_n_subscr',
						2=>'manual_pmnt_n_subscr',
						3=>'auto_pmnt_manual_subscr'};

use constant    SW_GM_DEF_MAIL_CHARSET => 'utf8';

use vars qw(@ISA @EXPORT @EXPORT_OK %EXPORT_TAGS);
@ISA = qw(Exporter);

@EXPORT = qw(
	SW_GM_DEF_TIMEZONE	
	SW_GM_DEF_LANG	
	SW_GM_DEF_FIRST_DAY_WEEK
	SW_GM_CURRENCY_ALIGN_LEFT SW_GM_CURRENCY_ALIGN_RIGHT
	SW_GM_CURRENCY_MINOR_MAX
        SW_GM_DEF_MAIL_CHARSET
);

@EXPORT_OK = qw(
	SW_GM_DEF_CURRENCY_ISO SW_GM_DEF_CURRENCY_SIGN 
	SW_GM_DEF_CURRENCY_ALIGN SW_GM_DEF_CURRENCY_MINOR
	SW_GM_CCARD_PRTYPE_AUTO SW_GM_CCARD_PRTYPE_MANUAL
	SW_GM_CCARD_PRTYPE_PENDING SW_GM_CCARD_PRTYPE_TXT
);

%EXPORT_TAGS = (
    'tz'       => [qw(SW_GM_DEF_TIMEZONE SW_GM_DEF_FIRST_DAY_WEEK)],
    'lang'     => [qw(SW_GM_DEF_LANG SW_GM_DEF_MAIL_CHARSET)],
    'currency' => [qw(SW_GM_CURRENCY_ALIGN_LEFT SW_GM_CURRENCY_ALIGN_RIGHT
                      SW_GM_CURRENCY_MINOR_MAX
                      SW_GM_DEF_CURRENCY_ISO SW_GM_DEF_CURRENCY_SIGN
                      SW_GM_DEF_CURRENCY_ALIGN SW_GM_DEF_CURRENCY_MINOR)],
	'card_pr_type'=> [qw(SW_GM_CCARD_PRTYPE_AUTO SW_GM_CCARD_PRTYPE_MANUAL SW_GM_CCARD_PRTYPE_PENDING
			SW_GM_CCARD_PRTYPE_TXT)],
);

1;
