#
# Copyright (C) 2000-2006  SWsoft
# All rights reserved.
#
# This file contains Payment Method constants
#

package HSPC::MT::PM::Constants;

use strict;
use SWsoft::protect;

use Exporter;

use vars qw(@ISA @EXPORT_OK %EXPORT_TAGS);
@ISA = qw(Exporter);

## CVV configuration
use constant SW_PM_CVV_OFF=>0;
use constant SW_PM_CVV_ALWAYS=>1;
use constant SW_PM_CVV_TEMP=>2;

use constant SW_PM_CVV_TXT => {
	0 => 'no_cvc_4future',
	1 => 'save_cvc_4future',
	2 => 'temp_cvc_4future'
};

## Credit Card Statuses
use constant SW_PM_STATUS_UNCHECKED => 0;
use constant SW_PM_STATUS_OK        => 1;
use constant SW_PM_STATUS_EXPIRED   => 2;
use constant SW_PM_STATUS_ERROR     => 3;
use constant SW_PM_STATUS_DISABLED  => 4;
use constant SW_PM_STATUS_DELETED   => 5;

use constant SW_PM_STATUS_TXT => {
	0 => 'unchecked_ccs',
	1 => 'ok',
	2 => 'expired',
	3 => 'error',
	4 => 'disabled',
	5 => 'deleted'
};


@EXPORT_OK = qw(
    SW_PM_STATUS_UNCHECKED SW_PM_STATUS_OK SW_PM_STATUS_EXPIRED
    SW_PM_STATUS_ERROR SW_PM_STATUS_DISABLED SW_PM_STATUS_DELETED SW_PM_STATUS_TXT

    SW_PM_CVV_OFF SW_PM_CVV_ALWAYS SW_PM_CVV_TEMP SW_PM_CVV_TXT
);

%EXPORT_TAGS = (
	'pm_status' => [qw/SW_PM_STATUS_UNCHECKED SW_PM_STATUS_OK SW_PM_STATUS_EXPIRED
		SW_PM_STATUS_ERROR SW_PM_STATUS_DISABLED SW_PM_STATUS_DELETED SW_PM_STATUS_TXT/],

	'cvv_setup' => [qw/SW_PM_CVV_OFF SW_PM_CVV_ALWAYS SW_PM_CVV_TEMP SW_PM_CVV_TXT/],
);

1;

