package HSPC::MT::PluginTools;

use strict;
use SWsoft::protect; ## mark module for encryption
use HSPC::Logger qw(sw_die);

use base 'Exporter';

our @EXPORT_OK = qw(get_request_data set_request_data);

our $request_data = {}
	unless $ENV{MOD_PERL};

## Usage: get_request_data('some_key')
sub get_request_data {
	require Apache if $ENV{MOD_PERL};
	return $ENV{MOD_PERL}
		? Apache->request->pnotes($_[0])
		: $request_data->{$_[0]};
}

## Usage: set_request_data('some_key',$some_value)
sub set_request_data {
	if ($ENV{MOD_PERL}) {
		require Apache;
		Apache->request->pnotes($_[0], $_[1]);
	} else {
		$request_data->{$_[0]} = $_[1];
	}
}

## Description: initialize structure (HASHREF), 
## that will be used like pseudo-argparams in plugins toolkit 
## method 'HSPC::PluginToolkit::General->argparam();'
## Parameters:
##		plugin_argparams (hashref)
## Returns:
##		None
sub init_plugin_argparams {
	my $class = shift;
	my %h = (
		plugin_argparams => undef,
		@_
	);
	sw_die('parameter plugin_argparams must be HASHREF') if !$h{plugin_argparams} || (ref($h{plugin_argparams}) ne 'HASH');
	set_request_data('plugin_argparams', $h{plugin_argparams});
}

## Description: gets value of parameter from plugin_argparams
sub get_plugin_argparam {
	my $class = shift;
	my %h = (
		param_name => undef,
		@_
	);
	my $plugin_argparams = get_request_data('plugin_argparams');
	return $plugin_argparams ? $plugin_argparams->{$h{param_name}} : undef;
}

1;