package HSPC::Math;

use vars qw(@ISA @EXPORT_OK);

use Exporter;
@ISA = qw(Exporter);
@EXPORT_OK = qw(
&round &round2 &percent &percent_to_str &period_round
);

## round double value with req.precision
## >> double value
## >  precision, default=0
## << rounded value
sub round{
	my $double = shift;
	my $prec = shift;

 	if(defined $prec){
 		### 0.000001 - it added to fix round bug (1.5 -> 1.0);
	   	return sprintf("%.*f", $prec, $double+0.000001);
		###return sprintf ("%.*f", $prec, $double + 0.1**($prec+1) );
	}else{
		return 0 if ref $double;
		my $sign= $double < 0?-1:1;
		$double  = abs $double;
		return $sign*(int($double) + (($double - int($double)) >= 0.5?1:0));
	}
}

## round double value with precision 2
## >> double value
## << rounded value
sub round2{
	return round(shift,2);
}

## calc procents
## >> double value
## << rounded value
sub percent{
	my $sum = shift;
	my $percent = shift;

	return 0.01 * ($sum * $percent);
}

## converts percent to representation form
## > value
## < value in representation form
sub percent_to_str{
	my $percent = shift;

	return sprintf("%.2f\%", $percent);
}

#This function for "soft" round - if fractional part is zero, does not print it.
sub period_round {
	my $double = shift;
	my $prec = shift;

	my $res = round($double, $prec);

	$res =~ s/0+$// if $res =~ /\./;
	$res =~ s/\.$//;

	return $res;
}

1;
