package HSPC::Plugin::SOAP::Struct::APIResult;

=begin WSDL

 _ATTR status	$string 'ok' or 'error'.
 _ATTR errors	@string Array of errors when status is 'error'.
 _ATTR data		$anyType Hash of the any returned data.

=end WSDL

=cut

sub new
{
	my $me = shift;
	my $data = shift;

	return bless {
		"status" => "ok",
		"errors" => [],
		"data" => $data,
	} => $me;
}

sub errors(@)
{
	my $me = shift;
	$me->{status} = "error";
	$me->{errors} = \@_;

	return $me;
}

1;
