package HSPC::Plugin::SOAP::Struct::Contact;

=begin WSDL

 _ATTR prefix	$string Contact's name prefix aka 'Mr.' etc.
 _ATTR fname	$string _NEEDED Contact's First Name.
 _ATTR mname	$string Contact's Middle Name.
 _ATTR lname	$string _NEEDED Contact's Last Name.
 _ATTR suffix	$string Contact's name suffix aka 'Young' or 'Jr.' etc.
 _ATTR gender	$boolean _NEEDED Contact's gender status: 0 - Man, 1 - Women.
 _ATTR email	$string _NEEDED Contact's E-Mail address.

 _ATTR address	$string Contact's Address.
 _ATTR address1	$string Contact's Address line 1.
 _ATTR address2	$string Contact's Address line 2.
 _ATTR city		$string Contact's City.
 _ATTR country	$string Contact's Country.
 _ATTR state	$string Contact's State/Region.
 _ATTR zip		$string Contact's Zip/Postal Code.
 _ATTR phone	$HSPC::Plugin::SOAP::Struct::Phone Contact's phone.
 _ATTR fax		$HSPC::Plugin::SOAP::Struct::Phone Contact's fax.
 _ATTR mobile	$HSPC::Plugin::SOAP::Struct::Phone Contact's mobile.

 _ATTR admin_prefix	$string Contact's name prefix aka 'Mr.' etc.
 _ATTR admin_fname	$string Contact's First Name.
 _ATTR admin_mname	$string Contact's Middle Name.
 _ATTR admin_lname	$string Contact's Last Name.
 _ATTR admin_suffix	$string Contact's name suffix aka 'Young' or 'Jr.' etc.
 _ATTR admin_gender	$boolean Contact's gender status: 0 - Man, 1 - Women.
 _ATTR admin_email	$string Contact's E-Mail address.

 _ATTR billing_prefix	$string Contact's name prefix aka 'Mr.' etc.
 _ATTR billing_fname	$string Contact's First Name.
 _ATTR billing_mname	$string Contact's Middle Name.
 _ATTR billing_lname	$string Contact's Last Name.
 _ATTR billing_suffix	$string Contact's name suffix aka 'Young' or 'Jr.' etc.
 _ATTR billing_gender	$boolean Contact's gender status: 0 - Man, 1 - Women.
 _ATTR billing_email	$string Contact's E-Mail address.

 _ATTR technical_prefix	$string Contact's name prefix aka 'Mr.' etc.
 _ATTR technical_fname	$string Contact's First Name.
 _ATTR technical_mname	$string Contact's Middle Name.
 _ATTR technical_lname	$string Contact's Last Name.
 _ATTR technical_suffix	$string Contact's name suffix aka 'Young' or 'Jr.' etc.
 _ATTR technical_gender	$boolean Contact's gender status: 0 - Man, 1 - Women.
 _ATTR technical_email	$string Contact's E-Mail address.

 _ATTR address_address1	$string _NEEDED Contact's Address line 1.
 _ATTR address_address2	$string Contact's Address line 2.
 _ATTR address_city		$string _NEEDED Contact's City.
 _ATTR address_country	$string _NEEDED Contact's Country.
 _ATTR address_state	$string _NEEDED Contact's State/Region.
 _ATTR address_zip		$string _NEEDED Contact's Zip/Postal Code.
 _ATTR address_phone	$HSPC::Plugin::SOAP::Struct::Phone _NEEDED Contact's phone.
 _ATTR address_fax		$HSPC::Plugin::SOAP::Struct::Phone Contact's fax.
 _ATTR address_mobile	$HSPC::Plugin::SOAP::Struct::Phone Contact's mobile.

=end WSDL

=cut

sub new
{
	my $me = shift;
	
	return bless {
		"prefix"	=> undef,
		"fname"		=> undef,
		"mname"		=> undef,
		"lname"		=> undef,
		"suffix"	=> undef,
		"gender"	=> undef,
		"email"		=> undef,

		"address"	=> undef,
		"address1"	=> undef,
		"address2"	=> undef,
		"city"		=> undef,
		"country"	=> undef,
		"state"		=> undef,
		"zip"		=> undef,
		"phone"		=> undef,
		"fax"		=> undef,
		"mobile"	=> undef,

		"admin_prefix"	=> undef,
		"admin_fname"	=> undef,
		"admin_mname"	=> undef,
		"admin_lname"	=> undef,
		"admin_suffix"	=> undef,
		"admin_gender"	=> undef,
		"admin_email"	=> undef,

		"billing_prefix"	=> undef,
		"billing_fname"		=> undef,
		"billing_mname"		=> undef,
		"billing_lname"		=> undef,
		"billing_suffix"	=> undef,
		"billing_gender"	=> undef,
		"billing_email"		=> undef,

		"technical_prefix"	=> undef,
		"technical_fname"	=> undef,
		"technical_mname"	=> undef,
		"technical_lname"	=> undef,
		"technical_suffix"	=> undef,
		"technical_gender"	=> undef,
		"technical_email"	=> undef,

		"address_address1"	=> undef,
		"address_address2"	=> undef,
		"address_city"		=> undef,
		"address_country"	=> undef,
		"address_state"		=> undef,
		"address_zip"		=> undef,
		"address_phone"		=> undef,
		"address_fax"		=> undef,
		"address_mobile"	=> undef,
	} => $me;
}

1;
