package HSPC::Plugin::SOAP::Struct::PP::DocumentInfo;

=begin WSDL

 _ATTR id			$string		_NEEDED Invoice ID.
 _ATTR number		$string		_NEEDED Invoice Number.
 _ATTR date			$string		_NEEDED Invoice creation date (YYYY-MM-DD hh:mm:ss).
 _ATTR total		$float		_NEEDED Invoice Total amount.
 _ATTR subtotal		$float				Invoice SubTotal amount.
 _ATTR description	$string				Description

 _ATTR vendor_tax_number	$string Vendor's TAX Number (optional).
 _ATTR plan_name			$string Product's Plan Name (optional).
 _ATTR domain				$string Product's Domain Name (optional).

=end WSDL

=cut

sub new
{
	my $me = shift;

	return bless {
		"id"					=> undef,
		"number"				=> undef,
		"date"					=> undef,
		"total"					=> undef,
		"subtotal"				=> undef,
		"vendor_tax_number"		=> undef,
		"plan_name"				=> undef,
		"domain"				=> undef,
		"description"			=> undef,
	} => $me;
}

1;
