package HSPC::Plugin::SOAP::Struct::PP::ProcessTransactionRequest;

=begin WSDL

 _ATTR template_id					$string _NEEDED F.e. PP_Dummy.
 _ATTR config						$anyType  _NEEDED PP plugin config.
 _ATTR document_info				$HSPC::Plugin::SOAP::Struct::PP::DocumentInfo _NEEDED Full Information about document.
 _ATTR payment_method				$HSPC::Plugin::SOAP::Struct::PP::PaymentMethod Information about payment method.
 _ATTR account_info					$HSPC::Plugin::SOAP::Struct::Account _NEEDED Customer's account information.
 _ATTR previous_transaction_data	$anyType			Custom data.
 _ATTR transaction_type				$string		_NEEDED Transaction Type.
 _ATTR transaction_id				$string		_NEEDED Transaction ID.
 _ATTR transaction_refnum			$string				Transaction Referrence Number.
 _ATTR transaction_amount			$float		_NEEDED Transaction amount to pay.
 _ATTR ref_no						$string				Transaction Referrence Number.
 _ATTR currency_iso					$string		_NEEDED Currency in ISO format: EUR, USD, RUR etc.
 _ATTR callback_url					$string				Call back URL if needed.
 _ATTR request_context				$anyType			Request data.
 _ATTR request_uri					$string				Request URI.

=end WSDL

=cut

sub new
{
	my $me = shift;

	return bless {
		"template_id"				=> undef,
		"config"					=> undef,
		"document_info"				=> undef,
		"payment_method"			=> undef,
		"account_info"				=> undef,
		"previous_transaction_data" => undef,
		"transaction_type"			=> undef,
		"transaction_id"			=> undef,
		"transaction_refnum"		=> undef,
		"transaction_amount"		=> undef,
		"ref_no"					=> undef,
		"currency_iso"				=> "EUR",
		"callback_url"				=> undef,
		"request_context"			=> undef,
		"request_uri"				=> undef,
	} => $me;
}

1;
