package HSPC::PluginToolkit::DM::Constants;

use strict;
use SWsoft::protect;

use HSPC::MT::DM::Constants qw(
	DM_DOMAIN_STATUS_ERROR
	DM_DOMAIN_STATUS_REGISTERING
	DM_DOMAIN_STATUS_REGISTERED
	DM_DOMAIN_STATUS_TRANSFERRING
	DM_DOMAIN_STATUS_TRANSFERRED
	DM_DOMAIN_STATUS_RENEWING
	DM_DOMAIN_STATUS_RENEWED
	DM_DOMAIN_STATUS_TERMINATING
	DM_DOMAIN_STATUS_TERMINATED
	DM_DOMAIN_STATUS_ZONESTARTING
	DM_DOMAIN_STATUS_UNREGISTERED
	
	DM_ACTION_REGISTER
	DM_ACTION_TRANSFER
	DM_ACTION_RENEW
	DM_ACTION_UPDATE_CONTACTS
	DM_ACTION_UPDATE_DOMAIN
	DM_ACTIONS

	DM_CHECK_NOT_AVAILABLE
	DM_CHECK_AVAILABLE
	DM_CHECK_ERROR
	DM_CHECK_SKIPPED
	
	DM_DOMAIN_NS_STATUS_UNSYNCHRONIZED
	DM_DOMAIN_NS_STATUS_SYNCHRONIZING
	DM_DOMAIN_NS_STATUS_SYNCHRONIZED
);

use Exporter;
use base qw(Exporter);

use constant DOMAIN_STATUS_ERROR => &DM_DOMAIN_STATUS_ERROR;
use constant DOMAIN_STATUS_REGISTERING => &DM_DOMAIN_STATUS_REGISTERING;
use constant DOMAIN_STATUS_REGISTERED => &DM_DOMAIN_STATUS_REGISTERED;
use constant DOMAIN_STATUS_TRANSFERRING => &DM_DOMAIN_STATUS_TRANSFERRING;
use constant DOMAIN_STATUS_TRANSFERRED => &DM_DOMAIN_STATUS_TRANSFERRED;
use constant DOMAIN_STATUS_RENEWING => &DM_DOMAIN_STATUS_RENEWING;
use constant DOMAIN_STATUS_RENEWED => &DM_DOMAIN_STATUS_RENEWED;
use constant DOMAIN_STATUS_TERMINATING => &DM_DOMAIN_STATUS_TERMINATING;
use constant DOMAIN_STATUS_TERMINATED => &DM_DOMAIN_STATUS_TERMINATED;
use constant DOMAIN_STATUS_ZONESTARTING => &DM_DOMAIN_STATUS_ZONESTARTING;
use constant DOMAIN_STATUS_UNREGISTERED => &DM_DOMAIN_STATUS_UNREGISTERED;

use constant DOMAIN_ACTION_REGISTER => &DM_ACTION_REGISTER;
use constant DOMAIN_ACTION_TRANSFER => &DM_ACTION_TRANSFER;
use constant DOMAIN_ACTION_RENEW => &DM_ACTION_RENEW;
use constant DOMAIN_ACTION_UPDATE_CONTACTS => &DM_ACTION_UPDATE_CONTACTS;
use constant DOMAIN_ACTION_UPDATE_DOMAIN => &DM_ACTION_UPDATE_DOMAIN;
use constant DOMAIN_ACTIONS => &DM_ACTIONS;

use constant DOMAIN_CHECK_NOT_AVAILABLE => &DM_CHECK_NOT_AVAILABLE;
use constant DOMAIN_CHECK_AVAILABLE => &DM_CHECK_AVAILABLE;
use constant DOMAIN_CHECK_ERROR => &DM_CHECK_ERROR;
use constant DOMAIN_CHECK_SKIPPED => &DM_CHECK_SKIPPED;

use constant DOMAIN_NS_STATUS_SYNCHRONIZED => &DM_DOMAIN_NS_STATUS_SYNCHRONIZED;
use constant DOMAIN_NS_STATUS_SYNCHRONIZING => &DM_DOMAIN_NS_STATUS_SYNCHRONIZING;
use constant DOMAIN_NS_STATUS_UNSYNCHRONIZED => &DM_DOMAIN_NS_STATUS_UNSYNCHRONIZED;

our @EXPORT = qw(
	DOMAIN_STATUS_ERROR
	DOMAIN_STATUS_REGISTERING
	DOMAIN_STATUS_REGISTERED
	DOMAIN_STATUS_TRANSFERRING
	DOMAIN_STATUS_TRANSFERRED
	DOMAIN_STATUS_RENEWING
	DOMAIN_STATUS_RENEWED
	DOMAIN_STATUS_TERMINATING
	DOMAIN_STATUS_TERMINATED
	DOMAIN_STATUS_ZONESTARTING
	DOMAIN_STATUS_UNREGISTERED

	DOMAIN_ACTION_REGISTER
	DOMAIN_ACTION_TRANSFER
	DOMAIN_ACTION_RENEW
	DOMAIN_ACTION_UPDATE_CONTACTS
	DOMAIN_ACTION_UPDATE_DOMAIN
	DOMAIN_ACTIONS

	DOMAIN_CHECK_NOT_AVAILABLE
	DOMAIN_CHECK_AVAILABLE
	DOMAIN_CHECK_ERROR
	DOMAIN_CHECK_SKIPPED
	
	DOMAIN_NS_STATUS_SYNCHRONIZED
	DOMAIN_NS_STATUS_SYNCHRONIZING
	DOMAIN_NS_STATUS_UNSYNCHRONIZED
);

1;
