package HSPC::PluginToolkit::DM::Protocol::EPP::Constants;

use strict;

use base qw(Exporter);

use SWsoft::protect;

our @EXPORT = qw(
	NS
	XSD
	
	CONTACT_MAP
	
	VERSION
	ENCODING
	LANG
);

use constant VERSION => "1.0";
use constant ENCODING => "UTF-8";
use constant LANG => "en";

use constant NS => {
	epp => "urn:ietf:params:xml:ns:epp-1.0",
	eppcom => "urn:ietf:params:xml:ns:eppcom-1.0",
	contact => "urn:ietf:params:xml:ns:contact-1.0",
	domain => "urn:ietf:params:xml:ns:domain-1.0",
	host => "urn:ietf:params:xml:ns:host-1.0",
	xml_schema_instance => "http://www.w3.org/2001/XMLSchema-instance"
};
use constant XSD => {
	epp => "epp-1.0.xsd",
	domain => "domain-1.0.xsd",
	eppcom => "eppcom-1.0.xsd",
	contact => "contact-1.0.xsd",
};

use constant CONTACT_MAP => {
	owner => 'registrant',
	admin => 'admin',
	technical => 'tech',
	billing => 'billing'
};

1;
