## Copyright (C) 2006  SWsoft
## All rights reserved.
## Here should be placed non-MT toolkit functions for plug-ins
package HSPC::PluginToolkit::PP;

use strict;
use vars qw(@ISA @EXPORT_OK);

#use HSPC::MT::PP::PluginEngine::OP;
use HSPC::MT::PluginTools qw(get_request_data);

use Exporter;
@ISA = qw(Exporter);
@EXPORT_OK = qw( callback_url referer_url );

sub callback_url {
	my %params = (plugin_id => get_request_data('template_id'), @_);
	return get_request_data('callback_url')."/".uri_link(\%params);
}

sub referer_url {
	my $vendor_id = get_request_data('plugin_vendor_id');
#	return HSPC::MT::PP::PluginEngine::OP->get_redirector_url(
#		vendor_id => $vendor_id );
	return "";
}

sub uri_link(@) {
	my @uri_params = ref $_[$#_] eq 'ARRAY' ? @{(pop)} : ref $_[$#_] eq 'HASH' ? %{(pop)} : ();

	## process URI params
	my %uri_params_seen;
	for (my $i = 0; $i < @uri_params; ++$i) {
		unless ($uri_params_seen{$uri_params[$i]}) {
			## replace key/value pair with their concatenation
			$uri_params_seen{$uri_params[$i]} = 1;
			splice @uri_params, $i, 2, join(',', $uri_params[$i],
				ref $uri_params[$i+1] eq 'ARRAY'
					? @{$uri_params[$i+1]}
					: $uri_params[$i+1]);
		} else {
			## key already seen, skipping...
			splice @uri_params, $i--, 2;
		}
	}

	return join('/', @uri_params);
}


1;