package HSPC::WebJS;
use strict;
use HSPC::Localization qw(:DEFAULT string string_lang);  
use SWsoft::protect;	# Mark this module for encryption upon build


# > class
# =>> owner_form
# =>> owner_view
# =>> owner_list
# =>> func_name : default = AddFromPopup
# =>  js_code : any JS-code, will be executed after item selection
# =>  ext_args :  ref to array of hashes {js_arg=>,view_name=>}
# < script code
sub js_popup{
	my $class = shift;
	my %h=(
		func_name=>'AddFromPopup',
	@_);

	unless($h{owner_list}){
		my @args=(
			{js_arg=>'id',view_name=>$h{owner_view},order=>1},
			{js_arg=>'name',view_name=>"title_$h{owner_view}",order=>2}
		);				
		push @args,@{ $h{ext_args} } if $h{ext_args};
		my $js = qq?
<script language=JavaScript><!--//
function $h{func_name}(?;
		$js .= join(',',map{$_->{js_arg}} @args  );
		$js .= qq?
)
{		?;
		@args = sort{$a->{order}<=>$b->{order}} @args;
		foreach my $arg(@args){
			$js.=qq?
parent.opener.document.getElementById('$h{owner_form}').$arg->{view_name}.value = $arg->{js_arg};
			?;
		}	
		$js.=qq?
	$h{js_code}
	window.close();
}				
//-->
</script>
		?;			
		return $js;
	}

	return qq?<script language=JavaScript><!--//
		function $h{func_name}( id , name )
		{
		var cselect = parent.opener.document.getElementById('$h{owner_form}').$h{owner_view};  
                var alreadySelected=false;
				for(i=0;i<cselect.length;i++) {
					if (cselect.options[i].value == id) alreadySelected=true;
				};
				if(!alreadySelected) {
					if (document.all) {
						var opt=parent.opener.document.createElement("OPTION");
						opt.text=name;
						opt.value=id;
						cselect.add(opt);
					}
					else {
						cselect.options[cselect.length] = new Option(name,id);
					}
				cselect[cselect.length-1].selected=true;
				}
				?.$h{js_code}.qq?
            return 0;
		}
		//-->
		</script>?;
}

1;

__END__
